filtro-produtos {
  display: block;
  width: 100%;
}

filtro-produtos .filtros-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2.5rem;
  margin-top: 20px;
  justify-items: center;
  align-items: center;
}

filtro-produtos .filtro-card {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  text-decoration: none;
  position: relative;
  transition: transform 0.3s ease;
  border-radius: 10px;
  box-shadow: 5px 5px 15px var(--cor-sombra);
  overflow: hidden;
  width: 100%;
  min-height: 250px;
  padding: 5px;
  border: 1px solid var(--cor-sombra);
}

filtro-produtos .filtro-card:hover {
  transform: scale(1.02);
  box-shadow: 8px 8px 12px var(--cor-sombra-escura);
}

filtro-produtos .filtro-icone {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--white);
  padding: 1rem 0;
  border-radius: 10px;
}

filtro-produtos .filtro-icone img {
  width: 80%;
  height: auto;
  background-color: var(--white);
}

filtro-produtos .filtro-titulo {
  color: var(--white);
  padding: 1rem;
  text-align: center;
  font-weight: 600;
  font-size: 1.2rem;
  text-shadow: 1px 1px 5px var(--cor-sombra-escura);
  margin: 0;
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
}

@media (max-width: 920px) {
  filtro-produtos .filtros-container {
    grid-template-columns: repeat(2, 1fr);
    padding: 1rem;
    gap: 1rem;
  }
  filtro-produtos .filtro-card {
    min-height: 200px; /* Altura mínima ajustada */
    max-width: 400px;
  }
}

@media (max-width: 600px) {
  filtro-produtos .filtros-container {
    grid-template-columns: 1fr;
    justify-items: center;
    gap: 0.5rem; /* Espaçamento reduzido */
  }
  filtro-produtos .filtro-card {
    min-height: 150px; /* Altura mínima ajustada */
    max-width: 400px;
  }
}
